Download it now!
Bug 38832 - get rid of obsolete manual templates such as DECLARE_LIST
Summary: get rid of obsolete manual templates such as DECLARE_LIST
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2011-06-30 09:07 UTC by Björn Michaelsen
Modified: 2015-12-15 16:27 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2011-06-30 09:07:47 UTC
get rid of obsolete manual templates such as DECLARE_LIST

Background: before the wonderful world of templates and STL (all those years ago), standard pre-processor based generics were created. These still litter the code, and need replacing with STL equivalents. see tools/inc/tools/list.hxx etc. In a similar vein, the use of the List class should be replaced with STL (or boost ptr container) as well.

Skills: building, simple C++, care in re-factoring

Work in progress by Rafael Dominguez (npcdoom) and JoeP
Comment 1 Florian Reisinger 2012-05-18 08:58:01 UTC
Deteted "Easyhack" from summary
Comment 2 Caolán McNamara 2012-08-01 10:35:14 UTC
DECLARE_LIST is now gone. Some other similar ones still remain. But closing this because the example DECLARE_LIST is no more
Comment 3 Robinson Tryon (qubit) 2015-12-15 16:27:29 UTC
Migrating Whiteboard tags to Keywords: (EasyHack,DifficultyBeginner,SkillCpp,TopicCleanup)
[NinjaEdit]